Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.pstricks
Class PstricksFormatter.ParameterString

    java.lang.Object
      jpicedt.format.output.pstricks.PstricksFormatter.ParameterString

Enclosing class:
  PstricksFormatter

public class PstricksFormatter.ParameterString
extends Object

an inner class that represents a PsTricks parameter string (useful especially to handle User Defined Colours) the basic problem is that, if a new colour has to be defined, this has to be done through e.g. a \\newrgbcolor command BEFORE the Element command appears in the file. Hence it's necessary to return an object encapsulating several strings, not only the parameter string that appears inside the Element formated string.

Constructor Summary
`PstricksFormatter.ParameterString(StringBuffer paramBuf, StringBuffer userDefinedColourBuf)`

Method Summary
`StringBuffer` | `getParameterBuffer()`
`StringBuffer` | `getUserDefinedColourBuffer()`
`boolean` | `isDefinedColourString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PstricksFormatter.ParameterString

    public PstricksFormatter.ParameterString(StringBuffer paramBuf,
                                             StringBuffer userDefinedColourBuf)

Method Detail

### isDefinedColourString

    public boolean isDefinedColourString()

  Returns:
    true if there's at least one user-defined colour that need to be defined

### getParameterBuffer

    public StringBuffer getParameterBuffer()

  Returns:
    the formated parameter string (w/o leading and trailing brackets)

### getUserDefinedColourBuffer

    public StringBuffer getUserDefinedColourBuffer()

  Returns:
    a string containing \\newrgbcolor... like commands, separated by CR's, or an empty stringBuffer if there's no user-defined colours.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org